## kaffeine 1.0~pre2

=== CMakeLists.txt ===
project(kaffeine)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_subdirectory(deviceactions)
add_subdirectory(icons)
add_subdirectory(src)

macro_optional_add_subdirectory(po)

if(BUILD_TOOLS)
  add_subdirectory(tools)
endif(BUILD_TOOLS)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(ko)
add_subdirectory(ku)
add_subdirectory(lt)
add_subdirectory(mai)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(pa)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(se)
add_subdirectory(sk)
add_subdirectory(sv)
add_subdirectory(th)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(x-test)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)

=== src/CMakeLists.txt ===
set(kaffeine_SRCS
    dvb/dvbchannel.cpp
    dvb/dvbchannelui.cpp
    dvb/dvbconfigdialog.cpp
    dvb/dvbdevice.cpp
    dvb/dvbepg.cpp
    dvb/dvbmanager.cpp
    dvb/dvbrecording.cpp
    dvb/dvbscan.cpp
    dvb/dvbscandialog.cpp
    dvb/dvbsi.cpp
    dvb/dvbtab.cpp
    playlist/playlistmodel.cpp
    playlist/playlisttab.cpp
    kaffeine.cpp
    main.cpp
    mediawidget.cpp
    osdwidget.cpp
    proxytreeview.cpp)

set(kaffeinedvbmodule_SRCS
    dvb/dvbdevice_linux.cpp)

set(kaffeinedvbdebugmodule_SRCS
    dvb/dvbdevice_debug.cpp)

configure_file(config-kaffeine.h.cmake ${CMAKE_BINARY_DIR}/config-kaffeine.h)

kde4_add_executable(kaffeine ${kaffeine_SRCS})
target_link_libraries(kaffeine ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBS})
install(TARGETS kaffeine ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES scanfile.dvb DESTINATION ${DATA_INSTALL_DIR}/kaffeine)
install(FILES kaffeine.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

kde4_add_plugin(kaffeinedvb ${kaffeinedvbmodule_SRCS})
target_link_libraries(kaffeinedvb ${KDE4_KDECORE_LIBRARY} ${KDE4_SOLID_LIBS})
install(TARGETS kaffeinedvb DESTINATION ${PLUGIN_INSTALL_DIR})

if(BUILD_DEBUG_MODULE)
  kde4_add_plugin(kaffeinedvbdebug ${kaffeinedvbdebugmodule_SRCS})
  target_link_libraries(kaffeinedvbdebug ${KDE4_KDECORE_LIBRARY})
  install(TARGETS kaffeinedvbdebug DESTINATION ${PLUGIN_INSTALL_DIR})
endif(BUILD_DEBUG_MODULE)

=== tools/CMakeLists.txt ===
add_executable(convertscanfiles convertscanfiles.cpp ../src/dvb/dvbchannel.cpp)
target_link_libraries(convertscanfiles ${QT_QTCORE_LIBRARY})

add_executable(updatedvbsi updatedvbsi.cpp)
target_link_libraries(updatedvbsi ${QT_QTXML_LIBRARY})

## kaffeine 1.0~pre3

=== CMakeLists.txt ===
project(kaffeine)

find_package(KDE4 REQUIRED)
find_package(X11 REQUIRED)
find_package(Xine REQUIRED)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${X11_INCLUDE_DIR} ${XINE_INCLUDE_DIR})
add_definitions(${KDE4_DEFINITIONS})

check_include_files(${CMAKE_CURRENT_SOURCE_DIR}/include/frontend.h HAVE_DVB)

if(NOT HAVE_DVB)
  MESSAGE(STATUS "Disabled features:\nDVB  Digital television support for Linux\n")
endif(NOT HAVE_DVB)

add_subdirectory(deviceactions)
add_subdirectory(icons)
add_subdirectory(src)
macro_optional_add_subdirectory(po)

if(BUILD_TOOLS)
  add_subdirectory(tools)
endif(BUILD_TOOLS)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -8,17 +8,23 @@
    MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
 
+add_subdirectory(ast)
+add_subdirectory(be)
+add_subdirectory(ca)
+add_subdirectory(ca@valencia)
 add_subdirectory(cs)
 add_subdirectory(da)
 add_subdirectory(de)
 add_subdirectory(el)
 add_subdirectory(en_GB)
+add_subdirectory(eo)
 add_subdirectory(es)
 add_subdirectory(et)
 add_subdirectory(fi)
 add_subdirectory(fr)
 add_subdirectory(ga)
 add_subdirectory(gl)
+add_subdirectory(hr)
 add_subdirectory(hu)
 add_subdirectory(it)
 add_subdirectory(ja)

=== src/CMakeLists.txt ===
set(kaffeine_SRCS
    backend-xine/xinecommands.cpp
    backend-xine/xinemediawidget.cpp
    playlist/playlistmodel.cpp
    playlist/playlisttab.cpp
    datetimeedit.cpp
    dbusobjects.cpp
    main.cpp
    mainwindow.cpp
    mediawidget.cpp
    osdwidget.cpp
    proxytreeview.cpp
    sqlhelper.cpp
    tablemodel.cpp)

if(HAVE_DVB)
  set(kaffeine_SRCS ${kaffeine_SRCS}
      dvb/dvbchannel.cpp
      dvb/dvbchannelui.cpp
      dvb/dvbconfigdialog.cpp
      dvb/dvbdevice.cpp
      dvb/dvbepg.cpp
      dvb/dvbliveview.cpp
      dvb/dvbmanager.cpp
      dvb/dvbrecording.cpp
      dvb/dvbscan.cpp
      dvb/dvbscandialog.cpp
      dvb/dvbsi.cpp
      dvb/dvbtab.cpp)
endif(HAVE_DVB)

set(kaffeinexbu_SRCS
    backend-xine/xineapplication.cpp
    backend-xine/xinecommands.cpp)

set(kaffeinedvbmodule_SRCS
    dvb/dvbdevice_linux.cpp)

set(kaffeinedvbdebugmodule_SRCS
    dvb/dvbdevice_debug.cpp)

configure_file(config-kaffeine.h.cmake ${CMAKE_BINARY_DIR}/config-kaffeine.h)

kde4_add_executable(kaffeine ${kaffeine_SRCS})
target_link_libraries(kaffeine ${QT_QTSQL_LIBRARY} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS})
install(TARGETS kaffeine ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES scanfile.dvb DESTINATION ${DATA_INSTALL_DIR}/kaffeine)
install(FILES kaffeine.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

kde4_add_executable(kaffeine-xbu ${kaffeinexbu_SRCS})
target_link_libraries(kaffeine-xbu ${X11_X11_LIB} ${XINE_LIBRARY} ${KDE4_KDEUI_LIBS})
install(TARGETS kaffeine-xbu ${INSTALL_TARGETS_DEFAULT_ARGS})

if(HAVE_DVB)
  kde4_add_plugin(kaffeinedvb ${kaffeinedvbmodule_SRCS})
  target_link_libraries(kaffeinedvb ${KDE4_KDECORE_LIBRARY} ${KDE4_SOLID_LIBS})
  install(TARGETS kaffeinedvb DESTINATION ${PLUGIN_INSTALL_DIR})
endif(HAVE_DVB)

if(BUILD_DEBUG_MODULE)
  kde4_add_plugin(kaffeinedvbdebug ${kaffeinedvbdebugmodule_SRCS})
  target_link_libraries(kaffeinedvbdebug ${KDE4_KDECORE_LIBRARY})
  install(TARGETS kaffeinedvbdebug DESTINATION ${PLUGIN_INSTALL_DIR})
endif(BUILD_DEBUG_MODULE)

=== debian/changelog ===
kaffeine (1.0~pre3-1ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes:
    - Build-depend on a lower version of pkg-kde-tools
    - Suggest, not depend, on libxine1-ffmpeg
    - Keep kubuntu_01_kaffeine_restricted_install.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Feb 2010 18:49:25 -0500

kaffeine (1.0~pre3-1) experimental; urgency=low

  * New upstream release:
    - optional dvb support. (Closes: #566911)

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control: bump debhelper and pkg-kde-tools build dependencies.
  * Update debian/copyright: update years.
  * Update debian/kaffeine.install file.
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - List missing files (pass --list-missing option to dh).
    - Use kde sequence addon (pass --with kde option to dh).

  [ Michael Meskes ]
  * Update debian/control:
    - Add myself as uploader.
    - Add libxine-dev and libx11-dev build dependencies.
    - Add libqt4-sql-sqlite dependency.
    - Bump Standards-Version to 3.8.4 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Thu, 04 Feb 2010 12:24:19 +0100

kaffeine (1.0~pre3-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #515266)
    - Drop kubuntu_01_qt_phonon.diff no longer need
    - Refresh kubuntu_02_kaffeine_restricted_install and renamed to
      kubuntu_01_kaffeine_restricted_install
  * Merge with Debian remaining changes:
    - Don't add phonon-backend-xine, libxine1-ffmpeg, libxine1-x to depends
    - Add kubuntu_01_kaffeine_restricted_install.diff
    - Add series file and quilt to build depends
    - Add libxine-dev (required) to build-depends
    - Build with kde sequence addon, kde.mk is deprecated
    - Add README.source

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 03 Feb 2010 02:28:45 +0100

kaffeine (1.0~pre2-1) experimental; urgency=low

  * New upstream release (KDE 4 version).
  * Bump debian/compat to 7.
  * Update debian/control:
    - Move kaffeine to section video.
    - Cleanup build depencies for the KDE 4 version.
    - Update Homepage field.
    - Cleanup dependencies for the KDE 4 version.
    - Update description.
  * Rewrite debian/copyright file (KDE 4 version).
  * Cleanup debian/kaffeine.docs file.
  * Add debian/kaffeine.install file.
  * Convert debian/rules to dh usage.

 -- Fathi Boudra <fabo@debian.org>  Wed, 12 Aug 2009 02:23:50 +0200

kaffeine (1.0~pre2-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #411082).
  * debian/control:
    - Update maintainer-fields.
    - Update homepage.
    - Add ${misc:Depends} to fix lintian warning.
    - Bump Standard-Version to 3.8.2, no changes needed.
  * debian/patches/series: Add to fix lintian warning.
  * kubuntu_01_qt_phonon.diff: Fix typo in filename.
  * kubuntu_03_dont_define__u64_again.diff: Remove, fixed upstream.

 -- Artur Rona <ari-tczew@tlen.pl>  Tue, 11 Aug 2009 20:57:31 +0200

kaffeine (1.0~pre1+svn976487-0ubuntu4) karmic; urgency=low

  * Add kubuntu_03_dont_define__u64_again.diff to fix FTBFS on ia64

 -- Scott Kitterman <scott@kitterman.com>  Sun, 09 Aug 2009 00:19:55 -0400

kaffeine (1.0~pre1+svn976487-0ubuntu3) karmic; urgency=low

  * Reintroduced kubuntu_01_qt_phonon.diff

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 02 Jun 2009 18:39:57 +0200

kaffeine (1.0~pre1+svn976487-0ubuntu1) karmic; urgency=low

  * New SVN snapshot

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 01 Jun 2009 22:01:04 +0200

kaffeine (1.0~pre1-0ubuntu3) karmic; urgency=low

  * Fixed debian/rules:
    - use /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
    - switch to cdbs simple-patchsys.mk
  * Added kubuntu_02_kaffeine_restricted_install.diff:
    - use update-notifier-kde for extra codecs installation 

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 01 Jun 2009 20:07:40 +0200

kaffeine (1.0~pre1-0ubuntu2) karmic; urgency=low

  * Added pkg-kde-tools build-dep
  * Fixed debian/rules, to use debian-qt-kde.mk instead of kde4.mk

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 22 May 2009 05:08:25 +0200

kaffeine (1.0~pre1-0ubuntu1) karmic; urgency=low

  * New upstream pre release
  * Packaging rewrote for KDE4
  * Added kubuntu_01_qt_phonon.diff, fix compile with Qt's Phonon which
    does not install Phonon/Global

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 11 May 2009 06:52:11 +0200

kaffeine (0.8.7-1ubuntu4) jaunty; urgency=low

  * Rebuild with new cdbs, don't add gettext domain to .desktop files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Apr 2009 21:03:49 +0100

kaffeine (0.8.7-1ubuntu3) jaunty; urgency=low

  * Add back missing kaffeine.install
  * Remove DEB_DESTDIR from previous build, caused overlapping files
  * Remove conflicts on kaffine-gstreamer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Dec 2008 19:12:43 +0000

kaffeine (0.8.7-1ubuntu2) jaunty; urgency=low

  * Fix files not installed (LP: #307175):
    - re-add DEB_DESTDIR line (Debian doesn't use a kaffeine.install file)
    - change dir from tmp to kaffeine in kaffeine-gstreamer.install

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Thu, 11 Dec 2008 18:39:42 +0100

kaffeine (0.8.7-1ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
   - kaffeine can't depend on libxine1-ffmpeg
   - add kaffeine-gstreamer.install and description
   - build-dep on libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev
   - remove --without-gstreamer
   - remove DEB_DESTDIR line
   - install/kaffeine:: Kubuntu additions
   - DEB_FIXPERMS_EXCLUDE := install-css.sh install-codecs
   - patches
   - install-codecs
   - kaffeine_codecinstall.desktop
   - kaffeine_xine-install-dvdcss.desktop
   - kaffeine_xine-install-ffmpeg.desktop
   - add install depends on python-qt4, python-apt
   - Recommend kdebase-runtime and install-package for install-codecs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2008 14:51:55 +0000



=== debian/control ===
Source: kaffeine
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake, pkg-kde-tools (>= 0.5.0),
 kdelibs5-dev (>= 4:4.3.4), libxine-dev, libx11-dev
Standards-Version: 3.8.4
Homepage: http://kaffeine.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kaffeine/ubuntu
Vcs-Svn: https://code.launchpad.net/~kubuntu-members/kaffeine/ubuntu

Package: kaffeine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libxine1-x, libqt4-sql-sqlite
Suggests: libxine1-ffmpeg
Description: versatile media player for KDE
 Kaffeine is a media player for KDE. While It supports multiple Phonon
 backends, its default backend is Xine, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitles files for use while playing video.

Package: kaffeine-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kaffeine (= ${binary:Version}), kdelibs5-dbg
Description: debugging symbols for kaffeine
 This package contains the debugging symbols associated with kaffeine.
 They will automatically be used by gdb for debugging kaffeine-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel --list-missing --dbg-package=kaffeine-dbg --with kde $@

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://sf.net/kaffeine/kaffeine-([\d.].[\d.].[\d])\.tar\.bz2 debian svn-upgrade

## kaffeine 1.0

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 find_package(Gettext REQUIRED)
 
-if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
+if(NOT GETTEXT_MSGMERGE_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
-endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
+endif(NOT GETTEXT_MSGMERGE_EXECUTABLE)
 
 IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
-endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
+endif(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
 add_subdirectory(ast)
 add_subdirectory(be)
@@ -45,10 +45,13 @@
 add_subdirectory(ru)
 add_subdirectory(se)
 add_subdirectory(sk)
+add_subdirectory(sr)
+add_subdirectory(sr@ijekavian)
+add_subdirectory(sr@ijekavianlatin)
+add_subdirectory(sr@latin)
 add_subdirectory(sv)
 add_subdirectory(th)
 add_subdirectory(tr)
 add_subdirectory(uk)
-add_subdirectory(x-test)
 add_subdirectory(zh_CN)
 add_subdirectory(zh_TW)

=== src/CMakeLists.txt ===
set(kaffeine_SRCS
    backend-xine/xinecommands.cpp
    backend-xine/xinemediawidget.cpp
    playlist/playlistmodel.cpp
    playlist/playlisttab.cpp
    datetimeedit.cpp
    dbusobjects.cpp
    main.cpp
    mainwindow.cpp
    mediawidget.cpp
    osdwidget.cpp
    proxytreeview.cpp
    sqlhelper.cpp
    sqltablemodel.cpp)

if(HAVE_DVB)
  set(kaffeinedvb_SRCS
      dvb/dvbcam_linux.cpp
      dvb/dvbchannel.cpp
      dvb/dvbchannelui.cpp
      dvb/dvbconfigdialog.cpp
      dvb/dvbdevice.cpp
      dvb/dvbdevice_linux.cpp
      dvb/dvbepg.cpp
      dvb/dvbliveview.cpp
      dvb/dvbmanager.cpp
      dvb/dvbrecording.cpp
      dvb/dvbscan.cpp
      dvb/dvbscandialog.cpp
      dvb/dvbsi.cpp
      dvb/dvbtab.cpp)
endif(HAVE_DVB)

set(kaffeinexbu_SRCS
    backend-xine/xineapplication.cpp
    backend-xine/xinecommands.cpp)

set(kaffeinedvbdebugmodule_SRCS
    dvb/dvbdevice_debug.cpp)

configure_file(config-kaffeine.h.cmake ${CMAKE_BINARY_DIR}/config-kaffeine.h)

kde4_add_executable(kaffeine ${kaffeine_SRCS} ${kaffeinedvb_SRCS})
target_link_libraries(kaffeine ${QT_QTSQL_LIBRARY} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} ${X11_Xscreensaver_LIB})
install(TARGETS kaffeine ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES scanfile.dvb DESTINATION ${DATA_INSTALL_DIR}/kaffeine)
install(FILES kaffeine.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

kde4_add_executable(kaffeine-xbu ${kaffeinexbu_SRCS})
target_link_libraries(kaffeine-xbu ${X11_X11_LIB} ${XINE_LIBRARY} ${KDE4_KDEUI_LIBS})
install(TARGETS kaffeine-xbu ${INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_DEBUG_MODULE)
  kde4_add_plugin(kaffeinedvbdebug ${kaffeinedvbdebugmodule_SRCS})
  target_link_libraries(kaffeinedvbdebug ${KDE4_KDECORE_LIBRARY})
  install(TARGETS kaffeinedvbdebug DESTINATION ${PLUGIN_INSTALL_DIR})
endif(BUILD_DEBUG_MODULE)

=== debian/changelog ===
kaffeine (1.0-2) unstable; urgency=low

  * Update mime types and extensions: include the new "video/mp2t" mime type.
    (Closes: #596671)

 -- Fathi Boudra <fabo@debian.org>  Thu, 07 Oct 2010 11:49:46 +0300

kaffeine (1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - bump build depencies (debhelper, pkg-kde-tools, kdelibs5-dev).
    - add libxss-dev build dependency.
  * Update installed files.
  * Remove debian/dirs and cleanup debian/rules: kaffeinsdvb.so library file
    isn't shipped anymore. Thanks Christophe ;)

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Jun 2010 09:16:51 +0300

kaffeine (1.0~pre3-3) unstable; urgency=low

  * Unstable KDE4 release
    - KDE3 package remains available in lenny
  * debian/watch: uversionmangle=s/-pre/~pre/
  * Add debian/presubj to direct bug reports upstream
    - mitigation against large number of outstanding bugs in BTS
  * Add Suggests: libdvdcss2 (Closes: #476079)

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 21:55:13 +1000

kaffeine (1.0~pre3-2) experimental; urgency=low

  * Do not try to install optional dvb files if they are not available.
    (Closes: #566911)

 -- Michael Meskes <meskes@debian.org>  Fri, 12 Feb 2010 09:28:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: kaffeine
 Section: video
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake, pkg-kde-tools (>= 0.5.0),
- kdelibs5-dev (>= 4:4.3.4), libxine-dev, libx11-dev
+Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
+ kdelibs5-dev (>= 4:4.4.4), libxine-dev, libx11-dev, libxss-dev
 Standards-Version: 3.8.4
 Homepage: http://kaffeine.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kaffeine/ubuntu
-Vcs-Svn: https://code.launchpad.net/~kubuntu-members/kaffeine/ubuntu
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kaffeine/trunk
+Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kaffeine/trunk
 
 Package: kaffeine
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libxine1-x, libqt4-sql-sqlite
-Suggests: libxine1-ffmpeg
+ libxine1-ffmpeg, libxine1-x, libqt4-sql-sqlite
+Suggests: libdvdcss2
 Description: versatile media player for KDE
  Kaffeine is a media player for KDE. While It supports multiple Phonon
  backends, its default backend is Xine, giving Kaffeine a wide variety of

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=kaffeine-dbg --list-missing --with kde

.PHONY: override_dh_auto_test

## kaffeine 1.1

=== CMakeLists.txt ===
project(kaffeine)

find_package(KDE4 REQUIRED)
find_package(X11 REQUIRED)
find_package(Xine REQUIRED)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${X11_INCLUDE_DIR} ${X11_Xscreensaver_INCLUDE_PATH} ${XINE_INCLUDE_DIR})
add_definitions(${KDE4_DEFINITIONS})

check_include_files(${CMAKE_CURRENT_SOURCE_DIR}/include/frontend.h HAVE_DVB)

if(NOT HAVE_DVB)
  MESSAGE(STATUS "Disabled features:\nDVB  Digital television support for Linux\n")
  set(HAVE_DVB 0)
endif(NOT HAVE_DVB)

add_subdirectory(deviceactions)
add_subdirectory(icons)
add_subdirectory(profiles)
add_subdirectory(src)
macro_optional_add_subdirectory(po)

if(BUILD_TOOLS)
  add_subdirectory(tools)
endif(BUILD_TOOLS)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,10 @@
    MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
 endif(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
+add_subdirectory(ar)
 add_subdirectory(ast)
 add_subdirectory(be)
+add_subdirectory(bg)
 add_subdirectory(ca)
 add_subdirectory(ca@valencia)
 add_subdirectory(cs)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
     mainwindow.cpp
     mediawidget.cpp
     osdwidget.cpp
-    proxytreeview.cpp
     sqlhelper.cpp
     sqltablemodel.cpp)

=== tools/CMakeLists.txt ===
add_executable(convertscanfiles convertscanfiles.cpp ../src/dvb/dvbchannel.cpp)
target_link_libraries(convertscanfiles ${QT_QTCORE_LIBRARY})

add_executable(updatedvbsi updatedvbsi.cpp)
target_link_libraries(updatedvbsi ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY})

=== debian/changelog ===
kaffeine (1.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 06:50:08 +0200

kaffeine (1.0-1ubuntu2) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-multimedia_kaffeine

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 17:45:49 +0100

kaffeine (1.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Suggest, not depend, on libxine1-ffmpeg
    - Keep kubuntu_01_kaffeine_restricted_install.diff
  * Refresh kubuntu_01_kaffeine_restricted_install.diff

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 04 Jun 2010 04:07:18 +0200

kaffeine (1.0~pre3-3ubuntu1) maverick; urgency=low

  * Merge with Debian unstable (LP: #583884), remaining changes:
    - Suggest, not depend, on libxine1-ffmpeg
    - Keep kubuntu_01_kaffeine_restricted_install.diff

 -- Ralph Janke <txwikinger@ubuntu.com>  Fri, 21 May 2010 09:15:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kaffeine
 Section: video
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.9.0),
  kdelibs5-dev (>= 4:4.4.4), libxine-dev, libx11-dev, libxss-dev
 Standards-Version: 3.8.4
 Homepage: http://kaffeine.kde.org
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kaffeine/trunk
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kaffeine/trunk
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kaffeine/ubuntu
+Vcs-Svn: https://code.launchpad.net/~kubuntu-members/kaffeine/ubuntu
 
 Package: kaffeine
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libxine1-ffmpeg, libxine1-x, libqt4-sql-sqlite
-Suggests: libdvdcss2
+ libxine1-x, libqt4-sql-sqlite 
+Suggests: libxine1-ffmpeg
 Description: versatile media player for KDE
  Kaffeine is a media player for KDE. While It supports multiple Phonon
  backends, its default backend is Xine, giving Kaffeine a wide variety of

## kaffeine 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,11 @@
 find_package(Xine REQUIRED)
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${X11_INCLUDE_DIR} ${X11_Xscreensaver_INCLUDE_PATH} ${XINE_INCLUDE_DIR})
 add_definitions(${KDE4_DEFINITIONS})
+
+if(DEFINED QT_VERSION_MAJOR)
+  # qt 4.5.?? has problems with strict iterators
+  add_definitions(-DQT_STRICT_ITERATORS)
+endif(DEFINED QT_VERSION_MAJOR)
 
 check_include_files(${CMAKE_CURRENT_SOURCE_DIR}/include/frontend.h HAVE_DVB)

=== icons/CMakeLists.txt ===
# All icons are copied & hacked from oxygen
# Copyright 2007 The Oxygen Team
# Creative Common Attribution-ShareAlike 3.0 or LGPL2+ (+ clarification)

kde4_install_icons(${ICON_INSTALL_DIR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 find_package(Gettext REQUIRED)
+
+IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
+   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
+endif(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
 if(NOT GETTEXT_MSGMERGE_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
 endif(NOT GETTEXT_MSGMERGE_EXECUTABLE)
-
-IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
-   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
-endif(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
 add_subdirectory(ar)
 add_subdirectory(ast)

=== src/CMakeLists.txt ===
set(kaffeine_SRCS
    backend-xine/xinecommands.cpp
    backend-xine/xinemediawidget.cpp
    playlist/playlistmodel.cpp
    playlist/playlisttab.cpp
    datetimeedit.cpp
    dbusobjects.cpp
    ensurenopendingoperation.cpp
    main.cpp
    mainwindow.cpp
    mediawidget.cpp
    osdwidget.cpp
    sqlhelper.cpp
    sqlinterface.cpp)

if(HAVE_DVB)
  set(kaffeinedvb_SRCS
      dvb/dvbcam_linux.cpp
      dvb/dvbchannel.cpp
      dvb/dvbchanneldialog.cpp
      dvb/dvbconfigdialog.cpp
      dvb/dvbdevice.cpp
      dvb/dvbdevice_linux.cpp
      dvb/dvbepg.cpp
      dvb/dvbepgdialog.cpp
      dvb/dvbliveview.cpp
      dvb/dvbmanager.cpp
      dvb/dvbrecording.cpp
      dvb/dvbrecordingdialog.cpp
      dvb/dvbscan.cpp
      dvb/dvbscandialog.cpp
      dvb/dvbsi.cpp
      dvb/dvbtab.cpp
      dvb/dvbtransponder.cpp)
endif(HAVE_DVB)

set(kaffeinexbu_SRCS
    backend-xine/xineapplication.cpp
    backend-xine/xinecommands.cpp)

configure_file(config-kaffeine.h.cmake ${CMAKE_BINARY_DIR}/config-kaffeine.h)

kde4_add_executable(kaffeine ${kaffeinedvb_SRCS} ${kaffeine_SRCS})
target_link_libraries(kaffeine ${QT_QTSQL_LIBRARY} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} ${X11_Xscreensaver_LIB})
install(TARGETS kaffeine ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES scanfile.dvb DESTINATION ${DATA_INSTALL_DIR}/kaffeine)
install(PROGRAMS kaffeine.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

kde4_add_executable(kaffeine-xbu ${kaffeinexbu_SRCS})
target_link_libraries(kaffeine-xbu ${X11_X11_LIB} ${XINE_LIBRARY} ${KDE4_KDEUI_LIBS})
install(TARGETS kaffeine-xbu ${INSTALL_TARGETS_DEFAULT_ARGS})

=== tools/CMakeLists.txt ===
add_executable(convertscanfiles convertscanfiles.cpp ../src/dvb/dvbtransponder.cpp)
target_link_libraries(convertscanfiles ${QT_QTCORE_LIBRARY})

add_executable(updatedvbsi updatedvbsi.cpp)
target_link_libraries(updatedvbsi ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY})

add_executable(updatemimetypes updatemimetypes.cpp)
target_link_libraries(updatemimetypes ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBS})

=== po/ar/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ar ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} kaffeine.po)

=== po/ast/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ast ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} kaffeine.po)

=== po/bg/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(bg ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} kaffeine.po)

=== po/ca/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ca ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} kaffeine.po)

=== po/ca@valencia/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ca@valencia ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} kaffeine.po)

=== po/cs/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} kaffeine.po)

=== po/da/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(da ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} kaffeine.po)

=== debian/changelog ===
kaffeine (1.2.2-3) unstable; urgency=medium

  * Build against libxine2-dev (Closes: #741361)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 10 Apr 2014 22:12:29 +0200

kaffeine (1.2.2-2) unstable; urgency=low

  * Team upload.
  * Add ftbfs_gcc47.diff, avoids an FTBFS with GCC 4.7 (Closes: #667218)
  * Update xine-lib dependencies. (Closes: #656915)
  * Bump debhelper compatibility level to 9.
  * Amend package descriptions. (Closes: #627900)
  * Update Vcs-* fields, kaffeine packaging was just moved to git.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * After rebuilding the kaffeine binary package it will depend on kde-runtime
    instead of kdebase-runtime. (Closes: #664720)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 19 May 2012 11:59:55 +0200

kaffeine (1.2.2-1) unstable; urgency=low

  * New upstream release/

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 May 2011 11:55:48 +0300

kaffeine (1.1-2) unstable; urgency=low

  * Upload to Sid.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 17:17:09 +0200

kaffeine (1.1-1) experimental; urgency=low

  * New upstream release
    - .m2t is assigned to kaffeine again (Closes: #596671)
  * Upload to experimental while we await squeeze

 -- Mark Purcell <msp@debian.org>  Sat, 25 Sep 2010 08:45:50 +1000

=== debian/control ===
Source: kaffeine
Section: video
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), libxine2-dev, libx11-dev, libxss-dev
Standards-Version: 3.9.3
Homepage: http://kaffeine.kde.org
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kaffeine.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kaffeine.git

Package: kaffeine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 ${xine-ffmpeg:Depends}, ${xine-x:Depends}, libqt4-sql-sqlite
Suggests: libdvdcss2
Description: versatile media player for KDE
 Kaffeine is a media player for KDE. While it supports multiple Phonon
 backends, its default backend is Xine, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitle files for use while playing video.

Package: kaffeine-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kaffeine (= ${binary:Version}), kdelibs5-dbg
Description: debugging symbols for Kaffeine
 This package contains the debugging symbols associated with Kaffeine.
 They will automatically be used by gdb for debugging Kaffeine-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --dbg-package=kaffeine-dbg --list-missing --with kde --with xine

override_dh_xine:
	dh_xine -pkaffeine x ffmpeg

.PHONY: override_dh_auto_test

## kaffeine 2.0.3

=== debian/changelog ===
kaffeine (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5x11extras5-dev,
      libkf5coreaddons-dev, kdoctools-dev, libkf5dbusaddons-dev,
      libkf5i18n-dev, kio-dev, libkf5solid-dev, libkf5widgetsaddons-dev,
      and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * The new version switches from Xine to VLC, so:
    - replace the libxine2-dev build dependency with libvlc-dev
    - stop using the xine dh addon
    - do not use the ${xine-ffmpeg:Depends} and ${xine-x:Depends} substvars
  * Update the patches:
    - ftbfs_gcc47.diff: drop, fixed upstream
    - upstream_Explicitly-include-CheckIncludeFiles.patch: drop, backported
      from upstream
  * Add the libdvbv5-dev build dependency (only on Linux), for DVB support.
  * Replace the libqt4-sql-sqlite dependency with libqt5sql5-sqlite.
  * Link in as-needed mode.
  * Rewrite copyright to copyright-format 1.0, and update.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jun 2016 00:12:47 +0200

kaffeine (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmap, since kaffeine already provides a .desktop
    file.
  * Backport upstream commit 4a1a90ee1b2b4d13302046f043adf1c2a1de758d to fix
    build with cmake >= 3.4; patch
    upstream_Explicitly-include-CheckIncludeFiles.patch. (Closes: #808759)
  * Rename debian/presubj to debian/kaffeine.bug-presubj so it is handled
    automatically by dh_bugfiles.
  * Remove kaffeine-dbg in favour of the -dbgsym packages.
  * Remove .install file, obsolete now that there is just one binary package
    (and everything is installed there directly).
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Stop using --list-missing, no more needed now.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Jun 2016 15:58:03 +0200

=== debian/control ===
Source: kaffeine
Section: video
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 1.0.0),
 qtbase5-dev (>= 5.4.0),
 libqt5x11extras5-dev (>= 5.4.0),
 libkf5coreaddons-dev (>= 5.11.0),
 kdoctools-dev (>= 5.11.0),
 libkf5dbusaddons-dev (>= 5.11.0),
 libkf5i18n-dev (>= 5.11.0),
 kio-dev (>= 5.11.0),
 libkf5solid-dev (>= 5.11.0),
 libkf5widgetsaddons-dev (>= 5.11.0),
 libkf5xmlgui-dev (>= 5.11.0),
 libvlc-dev,
 libx11-dev, libxss-dev,
 libdvbv5-dev [linux-any],
Standards-Version: 3.9.8
Homepage: http://kaffeine.kde.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kaffeine.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kaffeine.git

Package: kaffeine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt5sql5-sqlite,
Suggests: libdvdcss2
Description: versatile media player for KDE
 Kaffeine is a media player for KDE. While it supports multiple Phonon
 backends, its default backend is Xine, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitle files for use while playing video.

## kaffeine 2.0.4

=== debian/changelog ===
kaffeine (2.0.4-1) unstable; urgency=medium

  * New upstream release:
    - a basic man page is provided (Closes: #827531)
  * Depend on vlc, since it contains the video output modules (and not only
    those). (Closes: #827534)
  * Update the description. (Closes: #692643, #827631)
  * Add myself as Uploader.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Jul 2016 22:47:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>,
+ Mark Purcell <msp@debian.org>,
+ Michael Meskes <meskes@debian.org>,
+ Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules (>= 1.0.0),
  qtbase5-dev (>= 5.4.0),
@@ -27,12 +30,12 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libqt5sql5-sqlite,
+ vlc,
 Suggests: libdvdcss2
 Description: versatile media player for KDE
- Kaffeine is a media player for KDE. While it supports multiple Phonon
- backends, its default backend is Xine, giving Kaffeine a wide variety of
- supported media types and letting Kaffeine access CDs, DVDs, and
- network streams easily.
+ Kaffeine is a media player for KDE based on VLC, which gives it a wide variety
+ of supported media types and lets Kaffeine access CDs, DVDs, and network
+ streams easily.  Kaffeine also has an excellent support of digital TV (DVB).
  .
  Kaffeine can keep track of multiple playlists simultaneously, and supports
  autoloading of subtitle files for use while playing video.

## kaffeine 2.0.5

=== CMakeLists.txt ===
project(kaffeine)

set(KAFFEINE_MAJOR_VERSION 2)
set(KAFFEINE_MINOR_VERSION 0)
set(KAFFEINE_PATCH_VERSION 5)

# comment/uuncomment below if either the version is a production or a development one
#set(KAFFEINE_EXTRA_VERSION -git)

set(KAFFEINE_VERSION
  ${KAFFEINE_MAJOR_VERSION}.${KAFFEINE_MINOR_VERSION}.${KAFFEINE_PATCH_VERSION}${KAFFEINE_EXTRA_VERSION})

option(BUILD_TOOLS "Build the helper tools" OFF)

# Minimal versions where build is known to work
cmake_minimum_required(VERSION 2.8.12)
set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.11.0")

# shut up cmake warnings about newer policies
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif(POLICY CMP0063)

find_package(Qt5Core)
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
	${ECM_MODULE_PATH}
	${ECM_KDE_MODULE_DIR}
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(CheckIncludeFiles)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Find Qt modules
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
	Core    # QCommandLineParser, QStringLiteral
	Widgets # QApplication
	Network
	Sql
	X11Extras
)

# Find KDE modules
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
	CoreAddons      # KAboutData
	I18n            # KLocalizedString
	WidgetsAddons   # KMessageBox
	XmlGui		# KActonCollection
	KIO		# KFileWidget
	Solid
	DBusAddons
)
find_package(KF5DocTools ${KF5_MIN_VERSION} QUIET)

find_package(X11 REQUIRED)
find_package(VLC 1.2 REQUIRED)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR} ${VLC_INCLUDE_DIRS}
                    ${X11_Xscreensaver_INCLUDE_PATH})

check_include_files(${CMAKE_CURRENT_SOURCE_DIR}/include/frontend.h HAVE_DVB)

if(NOT HAVE_DVB)
  MESSAGE(STATUS "Disabled features:\nDVB  Digital television support for Linux\n")
  set(HAVE_DVB 0)
else()
  set(HAVE_DVB 1)
endif(NOT HAVE_DVB)

if(HAVE_DVB)
  find_package(Libdvbv5)
  if(NOT Libdvbv5_FOUND)
    set(HAVE_LIBDVBV5 0)
    set(HAVE_DVB 0)
    message(STATUS "Disabled features:\nDVB  Digital television support for Linux, as libdvbv5 was not found.\n")
  endif(NOT Libdvbv5_FOUND)
endif(HAVE_DVB)

add_subdirectory(deviceactions)
add_subdirectory(dtvdaemon)
add_subdirectory(icons)
add_subdirectory(profiles)
add_subdirectory(src)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
  ki18n_install(po)
endif()

if(KF5DocTools_VERSION)
  add_subdirectory(doc)
endif(KF5DocTools_VERSION)

if(BUILD_TOOLS)
  add_subdirectory(tools)
endif(BUILD_TOOLS)
find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)
find_package(KF5DocTools CONFIG REQUIRED)
kdoctools_install(po)

=== dtvdaemon/CMakeLists.txt ===
set(dtvdaemon_SRCS
    connection.cpp
    dtvdaemon.cpp
    main.cpp)

add_executable(dtvdaemon ${dtvdaemon_SRCS})
target_link_libraries(dtvdaemon Qt5::Core Qt5::Network)
install(TARGETS dtvdaemon ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/CMakeLists.txt ===
if(Libdvbv5_FOUND)
  include_directories(${Libdvbv5_INCLUDE_DIRS})
endif(Libdvbv5_FOUND)

qt5_add_resources(RESOURCE_ADDED kaffeine.qrc)

set(kaffeine_SRCS
    kaffeine.qrc
    backend-vlc/vlcmediawidget.cpp
    playlist/playlistmodel.cpp
    playlist/playlisttab.cpp
    abstractmediawidget.cpp
    configuration.cpp
    configurationdialog.cpp
    datetimeedit.cpp
    dbusobjects.cpp
    ensurenopendingoperation.cpp
    main.cpp
    mainwindow.cpp
    mediawidget.cpp
    osdwidget.cpp
    sqlhelper.cpp
    sqlinterface.cpp)

if(HAVE_DVB)
  set(kaffeinedvb_SRCS
      dvb/dvbcam_linux.cpp
      dvb/dvbchannel.cpp
      dvb/dvbchanneldialog.cpp
      dvb/dvbconfigdialog.cpp
      dvb/dvbdevice.cpp
      dvb/dvbdevice_linux.cpp
      dvb/dvbepg.cpp
      dvb/dvbepgdialog.cpp
      dvb/dvbliveview.cpp
      dvb/dvbmanager.cpp
      dvb/dvbrecording.cpp
      dvb/dvbrecordingdialog.cpp
      dvb/dvbscan.cpp
      dvb/dvbscandialog.cpp
      dvb/dvbsi.cpp
      dvb/dvbtab.cpp
      dvb/dvbtransponder.cpp)
endif(HAVE_DVB)

configure_file(config-kaffeine.h.cmake ${CMAKE_BINARY_DIR}/config-kaffeine.h)

add_executable(kaffeine ${kaffeinedvb_SRCS} ${kaffeine_SRCS})
target_link_libraries(kaffeine Qt5::Sql Qt5::X11Extras KF5::XmlGui KF5::I18n KF5::Solid
		      KF5::KIOCore KF5::KIOFileWidgets
		      KF5::DBusAddons ${X11_Xscreensaver_LIB} ${VLC_LIBRARY})

if(HAVE_DVB)
    target_link_libraries(kaffeine ${Libdvbv5_LIBRARIES})
endif(HAVE_DVB)

install(TARGETS kaffeine ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES scanfile.dvb DESTINATION ${DATA_INSTALL_DIR}/kaffeine)
install(PROGRAMS org.kde.kaffeine.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.kaffeine.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

=== debian/changelog ===
kaffeine (2.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Building with a newer src:kio gives a kio dependency automatically
    injected. (Closes: #827533)
  * Replace the vlc with vlc-plugin-base + vlc-plugin-video-output, as they
    should be enough to provide all the plugins needed. (see #827534)

 -- Pino Toscano <pino@debian.org>  Sat, 14 Jan 2017 19:37:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  qtbase5-dev (>= 5.4.0),
  libqt5x11extras5-dev (>= 5.4.0),
  libkf5coreaddons-dev (>= 5.11.0),
- kdoctools-dev (>= 5.11.0),
+ libkf5doctools-dev (>= 5.11.0),
  libkf5dbusaddons-dev (>= 5.11.0),
  libkf5i18n-dev (>= 5.11.0),
- kio-dev (>= 5.11.0),
+ libkf5kio-dev (>= 5.11.0),
  libkf5solid-dev (>= 5.11.0),
  libkf5widgetsaddons-dev (>= 5.11.0),
  libkf5xmlgui-dev (>= 5.11.0),
@@ -30,7 +30,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libqt5sql5-sqlite,
- vlc,
+ vlc-plugin-base, vlc-plugin-video-output
 Suggests: libdvdcss2
 Description: versatile media player for KDE
  Kaffeine is a media player for KDE based on VLC, which gives it a wide variety

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='kaffeine-dbg (<< 1.2.2-4~)'

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4

http://download.kde.org/stable/kaffeine/([\d.]+)/src/kaffeine-([\d.]+)\.tar\.xz

## kaffeine 2.0.13

=== debian/changelog ===
kaffeine (2.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Sep 2017 18:38:52 +0200

kaffeine (2.0.12.1-1) unstable; urgency=medium

  * New upstream release:
    - passes the right amount of arguments to i18n() (Closes: #829372)
    - do not use 100% with DVB (Closes: #853854)
    - fixes FTBFS with newer ECM (Closes: #877192)
  * Add the required libkf5windowsystem-dev build dependency.
  * Update copyright.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Depend on kinit, to make kioslaves work. (Closes: #827533)

 -- Pino Toscano <pino@debian.org>  Fri, 29 Sep 2017 18:04:45 +0200

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  libkf5kio-dev (>= 5.11.0),
  libkf5solid-dev (>= 5.11.0),
  libkf5widgetsaddons-dev (>= 5.11.0),
+ libkf5windowsystem-dev (>= 5.11.0),
  libkf5xmlgui-dev (>= 5.11.0),
  libvlc-dev,
  libx11-dev, libxss-dev,
  libdvbv5-dev [linux-any],
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://kaffeine.kde.org
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kaffeine.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kaffeine.git
@@ -29,6 +30,7 @@
 Package: kaffeine
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+ kinit,
  libqt5sql5-sqlite,
  vlc-plugin-base, vlc-plugin-video-output
 Suggests: libdvdcss2

=== debian/watch ===
version=4

http://download.kde.org/stable/kaffeine/kaffeine-([\d.]+)\.tar\.xz
